svg {
  background: white;
}
.bar {
  shape-rendering: crispEdges;
}
.a {
  fill: teal;
}
.ab {
  fill: blue;
}
.ba {
  fill: red;
}
.b {
  fill: orange;
}

.label {
  text-anchor: middle;
  font-family: sans-serif;
  font-size: 14px;
  fill: #333;
}

.axis {
  stroke: #CCC;
  stroke-width: 1;
  shape-rendering: crispEdges;
  fill: none;
}

.halo {
  fill: white;
  stroke: white;
  stroke-width: 12px;
  shape-rendering: crispEdges;
}